Loading...
Searching...
No Matches
Opm::aligned_allocator< void, Alignment > Class Template Reference

## Classes

struct | rebind

## Public Types

using | value_type = void
using | pointer = void*
using | const_pointer = const void*
using | void_pointer
using | const_void_pointer
using | size_type
using | difference_type
using | reference
using | const_reference

## Public Member Functions

pointer | address (reference value) const noexcept
pointer | allocate (size_type size, const_void_pointer=0)
void | deallocate (pointer ptr, size_type)
constexpr size_type | max_size () const noexcept
void | construct (U *ptr, Args &&... args)
void | destroy (U *ptr)

The documentation for this class was generated from the following file:

- opm/models/utils/alignedallocator.hh